Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0014236
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 00. Application dictionarymajorN/A2010-08-18 15:202011-05-16 13:53
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision51b073719f6e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0014236: AD_Model_Object cleanup for generated tabs

DescriptionAD_Model_Object and AD_Model_Object_Mapping entries for WAD windows are calculated from AD_Window and AD_Tab information, so it is not really needed to keep them in database.
Proposed SolutionRemove these entries from database and implement class and mapping calculation dynamically at runtime.
TagsNo tags attached.
Attached Filesdiff file icon ad_model_object.diff [^] (22,487 bytes) 2010-08-18 15:24 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0015524 closediciordia int-api 683 fails 
related to defect 0015551 closedalostale Linked items are not working. 
related to defect 00155922.50MP26 closedalostale The date selectors don't wokr in mp25 in firefox 
blocks feature request 0007236 acknowledgedshuehner Tracking issue: Cleanup for 3.00 
blocks defect 00141202.50MP22 closedalostale Removed entries from AD_Model_Object make the system to fail 

-  Notes
(0030122)
alostale (developer)
2010-08-18 15:25

Attached a partial fix for this issue:
-It makes WAD not to use model object for tabs
-It creates vertical menu without making use of model object for tabs
(0033379)
hgbot (developer)
2010-12-23 17:49

Repository: erp/devel/pi
Changeset: 96da1e0b3a8f0c40108f2d0d1d5d447f242aa18d
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Dec 23 17:47:24 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/96da1e0b3a8f0c40108f2d0d1d5d447f242aa18d [^]

fixed issue 14236: AD_Model_Object cleanup for generated tabs

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-formitem-widgets.js
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/OBCLKER_UIDEFINITION.xml
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/YesNoUIDefinition.java
M modules/org.openbravo.client.querylist/src-db/database/model/tables/OBCQL_QUERY_COLUMN.xml
M modules/org.openbravo.client.querylist/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServlet.java
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/3.00/org.openbravo.client.application/images/form/ico-to-new-tab.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/3.00/org.openbravo.client.application/images/form/search_picker.png
A modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/FKSearchUIDefinition.java
A src-db/database/model/triggers/AD_TAB_TRG2.xml
---
(0033380)
shuehner (administrator)
2010-12-23 18:38

Reopen as the code-change which belong to this cleanup has an issue.
If a module is not yet updated/cleaned-up to not have those (now) unneeded ad_model_object (+_mapping) entries they'll create wrong entries in web.xml
Concrete it will create servlet-mapping entries without creating servlet->classname entries.

The web.xml generation code should ignore/filter out those entries to not create those broken ones. (For testing i.e. put back the removed files for ad_model_object.xml & ad_model_object_mapping.xml) for anyof the affected modules (like client.myob)
(0033381)
shuehner (administrator)
2010-12-23 18:51

Changing priority as code-change mentioned in last commit message is needed otherwise tomcat startup will fail with any non-updated module (which has tabs) installed (i.e. selector example module).
(0033384)
hgbot (developer)
2010-12-24 07:52

Repository: erp/devel/pi
Changeset: 51b073719f6e0f305d0a9815d418747a3f79d9e4
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Dec 24 07:51:41 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/51b073719f6e0f305d0a9815d418747a3f79d9e4 [^]

[ModelObject] When generating web.xml do not take into account mapping for tabs
    evend they exist. In this way modules containing them can be installed.

    fixed bug 14236

---
M src-wad/src/org/openbravo/wad/Wad_data.xsql
---
(0033475)
hudsonbot (developer)
2010-12-30 13:16

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/96da1e0b3a8f [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/7d7e5eebcc62 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.19448.obx [^]
(0033477)
hudsonbot (developer)
2010-12-30 13:16

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/51b073719f6e [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/7d7e5eebcc62 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.19448.obx [^]

- Issue History
Date Modified Username Field Change
2010-08-18 15:20 alostale New Issue
2010-08-18 15:20 alostale Assigned To => shuehner
2010-08-18 15:20 alostale Relationship added blocks 0007236
2010-08-18 15:24 alostale File Added: ad_model_object.diff
2010-08-18 15:25 alostale Note Added: 0030122
2010-08-18 15:26 alostale Relationship added blocks 0014120
2010-12-23 17:47 alostale Assigned To shuehner => alostale
2010-12-23 17:49 hgbot Checkin
2010-12-23 17:49 hgbot Note Added: 0033379
2010-12-23 17:49 hgbot Status new => resolved
2010-12-23 17:49 hgbot Resolution open => fixed
2010-12-23 17:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/96da1e0b3a8f0c40108f2d0d1d5d447f242aa18d [^]
2010-12-23 18:38 shuehner Note Added: 0033380
2010-12-23 18:38 shuehner Status resolved => new
2010-12-23 18:38 shuehner Resolution fixed => open
2010-12-23 18:51 shuehner Note Added: 0033381
2010-12-23 18:51 shuehner Priority normal => immediate
2010-12-23 18:51 shuehner Severity minor => major
2010-12-24 07:52 hgbot Checkin
2010-12-24 07:52 hgbot Note Added: 0033384
2010-12-24 07:52 hgbot Status new => resolved
2010-12-24 07:52 hgbot Resolution open => fixed
2010-12-24 07:52 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/96da1e0b3a8f0c40108f2d0d1d5d447f242aa18d [^] => http://code.openbravo.com/erp/devel/pi/rev/51b073719f6e0f305d0a9815d418747a3f79d9e4 [^]
2010-12-24 12:09 shuehner Relationship added related to 0015524
2010-12-30 13:16 hudsonbot Checkin
2010-12-30 13:16 hudsonbot Note Added: 0033475
2010-12-30 13:16 hudsonbot Checkin
2010-12-30 13:16 hudsonbot Note Added: 0033477
2010-12-31 12:52 alostale Relationship added related to 0015551
2011-01-10 12:13 alostale Relationship added related to 0015592
2011-05-16 13:53 iperdomo Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker